Public Class VerbAction

  Inherits InterpChain
  Dim actionList As ArrayList

  Public Sub New(ByVal aList As ArrayList)
    MyBase.New()
    actionList = aList
  End Sub

  Public Overrides Function interpret() As Boolean
    'Przenieś element ze szczytu na listę akcji
    If (stk.top().get_Type() = ParseObject.VERB) Then
      actionList.Add(stk.pop())
      Return True
    Else
      Return False
    End If
  End Function

End Class
